Summary:         NetCDF 3 data handler for the OPeNDAP Data server
Name:            dap-netcdf_handler
Version:         3.9.1
Release:         1%{?dist}
License:         LGPLv2+
Group:           System Environment/Daemons 
Source0:         http://www.opendap.org/pub/source/netcdf_handler-%{version}.tar.gz
URL:             http://www.opendap.org/download/nc_server.html

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   libdap-devel >= 3.10.2
BuildRequires:   bes-devel >= 3.8.3
BuildRequires:   netcdf-devel


%description
This is the netcdf data handler for our data server. It reads netcdf 3
files and returns DAP responses that are compatible with DAP2 and the
dap-server software.


%prep 
%setup -q -n netcdf_handler-%{version}


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"

rm $RPM_BUILD_ROOT%{_libdir}/bes/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/bes/modules/nc.conf
%{_libdir}/bes/libnc_module.so
%{_datadir}/hyrax/data/nc/
%doc COPYING COPYRIGHT NEWS README


%changelog
* Mon Jul 19 2010 Orion Poplawski <orion@cora.nwra.com> - 3.9.1-1
- Update to 3.9.1

* Fri Nov 13 2009 Orion Poplawski <orion@cora.nwra.com> - 3.8.3-4
- Drop LIBS, fixed in netcdf

* Wed Nov 11 2009 Orion Poplawski <orion@cora.nwra.com> - 3.8.3-3
- Rebuild for netcdf-4.1.0
- Add needed netcdf libraries to LIBS

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Orion Poplawski <orion@cora.nwra.com> - 3.8.3-1
- Update to 3.8.3

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Patrice Dumas <pertusus@free.fr> 3.7.9-1
- update to 3.7.9

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.7.8-3
- Autorebuild for GCC 4.3

* Mon Dec 17 2007 Patrice Dumas <pertusus@free.fr> 3.7.8-2
- update to 3.7.8

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 3.7.6-5
- Rebuild for selinux ppc32 issue.

* Mon Jun 18 2007 Patrice Dumas <pertusus@free.fr> 3.7.6-4
- rebuild against bes

* Fri Jun  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.6-3
- rebuild against newer libdap and netcdf

* Tue May  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.6-2
- update to 3.7.6

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.3-3
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.3-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus at free.fr> 3.7.3-1
- update to 3.7.3

* Wed Sep  6 2006 Patrice Dumas <pertusus at free.fr> 3.7.2-1
- update to 3.7.2

* Sat Jul 22 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-1
- update to 3.7.1

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-1
- new release
- remove upstreamed patch

* Mon Feb 20 2006 Patrice Dumas <pertusus at free.fr> - 3.5.2-2
- add a patch for netcdf detection in lib64

* Wed Feb  1 2006 Patrice Dumas <pertusus at free.fr> - 3.5.2-1
- re-add netcdf-devel

* Wed Nov 16 2005 James Gallagher <jgallagher@opendap.org> 3.5.1-1
- Removed netcdf-devel from BuildRequires. it does, unless you install 
- netcdf some other way.

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
